/[gentoo-x86]/sys-apps/hal/hal-0.5.9.ebuild
Gentoo

Diff of /sys-apps/hal/hal-0.5.9.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.19 Revision 1.20
1# Copyright 1999-2007 Gentoo Foundation 1# Copyright 1999-2007 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/hal/Attic/hal-0.5.9.ebuild,v 1.19 2007/04/13 14:12:09 cardoe Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/hal/Attic/hal-0.5.9.ebuild,v 1.20 2007/04/14 13:48:52 cardoe Exp $
4 4
5inherit eutils linux-info autotools flag-o-matic 5inherit eutils linux-info autotools flag-o-matic
6 6
7DESCRIPTION="Hardware Abstraction Layer" 7DESCRIPTION="Hardware Abstraction Layer"
8HOMEPAGE="http://www.freedesktop.org/Software/hal" 8HOMEPAGE="http://www.freedesktop.org/Software/hal"
75 ebeep 5 75 ebeep 5
76} 76}
77 77
78pkg_setup() { 78pkg_setup() {
79 if built_with_use --missing false sys-apps/pciutils zlib ; then 79 if built_with_use --missing false sys-apps/pciutils zlib ; then
80 eerror "You MUST build sys-apps/pciutils without the zlib USE flag"
80 die "You MUST build pciutils without the zlib USE flag" 81 die "You MUST build sys-apps/pciutils without the zlib USE flag"
81 fi 82 fi
82 83
83 if use kernel_linux; then 84 if use kernel_linux; then
84 kernel_is ge 2 6 17 || ewarn "HAL requires a kernel version 2.6.17 or newer" 85 kernel_is ge 2 6 17 || ewarn "HAL requires a kernel version 2.6.17 or newer"
85 86

Legend:
Removed from v.1.19  
changed lines
  Added in v.1.20

  ViewVC Help
Powered by ViewVC 1.1.20